import argparse
from config import Config

argparser = argparse.ArgumentParser(
    prog = Config.APP_NAME, 
    description = Config.APP_DESCRIPTION,
    epilog = f"See {Config.APP_SRC_URL} for more info.")

subparsers = argparser.add_subparsers(dest='command', required=True)

#argparser.add_argument('--init', action='store_true', help = 'Initialize new site')
#argparser.add_argument('--content', '--edit', type = str, help = 'Create new content')
subparsers.add_parser('init', help = 'Initialize new site.')
subparsers.add_parser('build', help = "Build the site from existing content.")
new_content = subparsers.add_parser('create', aliases = ['new'], help = "Create a new content file.")
new_content.add_argument('filename', type=str, help = "Name of the content file to create.")
edit_content = subparsers.add_parser('edit', help = "Edit a content file.")
edit_content.add_argument('filename', type=str, help = "Name of the content file to edit.")
